Subject: bug#12702: 24.2; Orgmode Refile complains "Not bookmark format"

From: Jonathan Schaeffer <[email-masked]>
Date: Tue, 23 Oct 2012 09:06:06 +0200

Le 22/10/2012 18:15, Glenn Morris a écrit :
> Jonathan Schaeffer wrote:
>
>> To reproduce :
>>
>> Create a .org file, create 2 level-1 entries. Create one level-2 entry
>> and hit C-c C-w to refile it into the other level-1 entry.
>>
>> Like this :
>>
>> * Entry One
>> * Entry Two
>> ** Refile Me
>>
>> The level-2 entry is copied in the correct location but is not removed
>> from original location.
>> Minibuffer shows message "Not Bookmark Format". And the file looks like :
>
> Thanks for the report, but it works fine for me with Emacs 24.2.
> Can you give a complete recipe starting from emacs -Q?
>
Hi Glenn,

(I made a reply all, is that alright ?)

with emacs -Q, I can not reproduce the bug. But refile does not work at 
all, (Complains : wrong type argument arrayp,nil).
I do :
1. emacs -Q
2. C-x C-f refiletest.org
3. Fill the buffer with :
* Entry One
* Entry Two
** Refile Me

4. Hit C-c C-w
5. The entry is duplicated and I can read the error message "Not 
bookmark format)

If, instead of visiting a file, I open just a new buffer with "C-x b 
test.org", the behaviour is different :
On refile (C-c C-w) nothing happens but the error message shows:
wrong type argument: arrayp, nil

Just to be sure, I moved the ~/.emacs away, same result.

I hope this helps. I have the archlinux build of emacs, so maybe the 
error is on the packaging side ?

cheers,

jonathan

-- 
IUEM - Service Informatique
rue Dumont D'Urville
Technopôle Brest-Iroise
29280 Plouzané
France
tel: +33 2 98 49 87 94